Bug 1956817 - due to change of logging in satellite 6.9 satellite installer logs are not properly obfuscated
Summary: due to change of logging in satellite 6.9 satellite installer logs are not pr...
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sos
Version: 7.9
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jan Jansky
QA Contact: Miroslav Hradílek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 13:28 UTC by Jan Jansky
Modified: 2021-05-05 09:20 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github sosreport sos pull 2522 0 None open [foreman] fix unmatched group error in scrubbing installer logs 2021-05-04 14:24:00 UTC
Red Hat Knowledge Base (Solution) 6015771 0 None None None 2021-05-04 13:31:01 UTC

Description Jan Jansky 2021-05-04 13:28:31 UTC
Description of problem: due to change of logging in satellite 6.9 satellite installer logs are not properly obfuscated.

Foreman plugin needs to be updated with new regexp.


How reproducible: Always


Steps to Reproduce:
1. sosreport --build --batch -o foreman
2. grep foreman_proxy::puppetca_token_ttl <sos destination>/var/log/foreman-installer/satellite.log


Actual results:

2021-05-04 09:35:33 [DEBUG ] [configure] Found key: "foreman_proxy::puppetca_token_ttl" value: 360

Expected results:
2021-05-04 09:35:33 [DEBUG ] [configure]  Found key: "foreman_proxy::puppetca_token_ttl" value: ********

Additional info:
Tested myself on Satellite 6.9 and Satellite 6.7.

Comment 2 Pavel Moravec 2021-05-04 13:36:18 UTC
The token_ttl value isnt the critical information not being scrubbed. More relevant examples are e.g.:

2021-04-26 16:32:02 [DEBUG ] [configure] Found key: "foreman::db_password" value: "QDUerNfEdag4qQ8S5sw6VsTjpLY2wp9B"

2021-04-26 16:32:02 [DEBUG ] [configure] Found key: "foreman::oauth_consumer_secret" value: "ePFyZXLkbB3vCW45NjY6V6PF4xJP7hWv"

and similar.

Basically nothing with "Found key:" is obfuscated, neither few further regexp replacements are applied, since the foreman plugin raises an uncaught exception.

So the business justification is "this BZ prevents obfuscating majority of foreman secret stuff".


Note You need to log in before you can comment on or make changes to this bug.